## ros-humble-ros2controlcli 2.31.0

=== debian/changelog ===
ros-humble-ros2controlcli (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.30.0-1jammy) jammy; urgency=high

  * Add info where the pdf is saved to view_controller_chains (#1094 <https://github.com/ros-controls/ros2_control/issues/1094>) (#1096 <https://github.com/ros-controls/ros2_control/issues/1096>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.28.0-1jammy) jammy; urgency=high

  * Improve list hardware components output and code for better readability. (backport #1060 <https://github.com/ros-controls/ros2_control/issues/1060>) (#1061 <https://github.com/ros-controls/ros2_control/issues/1061>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.27.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #1031 <https://github.com/ros-controls/ros2_control/issues/1031>) (#1042 <https://github.com/ros-controls/ros2_control/issues/1042>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.25.3-1jammy) jammy; urgency=high

  * Fix verbose output of list_hardware_components (#1006 <https://github.com/ros-controls/ros2_control/issues/1006>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-ros2controlcli (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.24.0-1jammy) jammy; urgency=high

  * Fix wrong CLI output of controller states (backport #947 <https://github.com/ros-controls/ros2_control/issues/947>) (#951 <https://github.com/ros-controls/ros2_control/issues/951>)
    * [CLI] Fix wrong output of controller states for load_controller command (#947 <https://github.com/ros-controls/ros2_control/issues/947>)
    (cherry picked from commit a676d3cd8c0fbb925435a237ee5df5d4811201f2)
    # Conflicts:
    #     ros2controlcli/ros2controlcli/verb/load_controller.py
    #     ros2controlcli/ros2controlcli/verb/set_controller_state.py
    * Make changes non-breaking
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Dr. Denis <mailto:denis@stoglrobotics.de>
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.23.0-1jammy) jammy; urgency=high

  * Adds list_hardware_components to CLI #796 <https://github.com/ros-controls/ros2_control/issues/796> - Adds list_hardware_components to CLI (#891 <https://github.com/ros-controls/ros2_control/issues/891>) (#937 <https://github.com/ros-controls/ros2_control/issues/937>)
  * Do not use CLI calls but direct API for setting parameters. (backport #910 <https://github.com/ros-controls/ros2_control/issues/910>) (#913 <https://github.com/ros-controls/ros2_control/issues/913>)
  * Contributors: Andy McEvoy, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-ros2controlcli (2.18.0-1jammy) jammy; urgency=high

  * Fix hardware interface CLI description (#864 <https://github.com/ros-controls/ros2_control/issues/864>) (#869 <https://github.com/ros-controls/ros2_control/issues/869>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-ros2controlcli (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-ros2controlcli (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 23:00:00 -0000

ros-humble-ros2controlcli (2.15.0-1jammy) jammy; urgency=high

  * pygraphviz functions updated (#812 <https://github.com/ros-controls/ros2_control/issues/812>) (#814 <https://github.com/ros-controls/ros2_control/issues/814>)
  * Contributors: Sachin Kumar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-humble-ros2controlcli (2.14.0-1jammy) jammy; urgency=high

  * Visualize chained controllers with graphviz (#763 <https://github.com/ros-controls/ros2_control/issues/763>)

