## ros-humble-ros2controlcli 2.43.1

=== debian/changelog ===
ros-humble-ros2controlcli (2.43.1-1bookworm) bookworm; urgency=high

  * [ros2controlcli] fix list_controllers when no controllers are loaded (#1721 <https://github.com/ros-controls/ros2_control/issues/1721>) (#1722 <https://github.com/ros-controls/ros2_control/issues/1722>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.43.0-1bookworm) bookworm; urgency=high

  * Make list controller and list hardware components immediately visualize the state. (backport #1606 <https://github.com/ros-controls/ros2_control/issues/1606>) (#1690 <https://github.com/ros-controls/ros2_control/issues/1690>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.42.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.41.0-1bookworm) bookworm; urgency=high

  * [CI] Specify runner/container images and codecov for joint_limits  (#1504 <https://github.com/ros-controls/ros2_control/issues/1504>) (#1519 <https://github.com/ros-controls/ros2_control/issues/1519>)
  * [CLI] Add set_hardware_component_state verb (#1248 <https://github.com/ros-controls/ros2_control/issues/1248>) (#1470 <https://github.com/ros-controls/ros2_control/issues/1470>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.40.0-1bookworm) bookworm; urgency=high

  * [CI] Code coverage + pre-commit (backport #1413 <https://github.com/ros-controls/ros2_control/issues/1413>) (#1414 <https://github.com/ros-controls/ros2_control/issues/1414>)
  * Added spawner colours to list_controllers depending upon active or inactive (backport #1409 <https://github.com/ros-controls/ros2_control/issues/1409>) (#1424 <https://github.com/ros-controls/ros2_control/issues/1424>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.39.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.39.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.38.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.37.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.36.1-1bookworm) bookworm; urgency=high

  * [docs] Remove joint_state_controller (#1263 <https://github.com/ros-controls/ros2_control/issues/1263>) (#1264 <https://github.com/ros-controls/ros2_control/issues/1264>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-ros2controlcli (2.36.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.35.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.33.0-1bookworm) bookworm; urgency=high

  * Fix doc of load_controller (#1135 <https://github.com/ros-controls/ros2_control/issues/1135>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.30.0-1bookworm) bookworm; urgency=high

  * Add info where the pdf is saved to view_controller_chains (#1094 <https://github.com/ros-controls/ros2_control/issues/1094>) (#1096 <https://github.com/ros-controls/ros2_control/issues/1096>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.28.0-1bookworm) bookworm; urgency=high

  * Improve list hardware components output and code for better readability. (backport #1060 <https://github.com/ros-controls/ros2_control/issues/1060>) (#1061 <https://github.com/ros-controls/ros2_control/issues/1061>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.27.0-1bookworm) bookworm; urgency=high

  * Docs: Use branch name substitution for all links (backport #1031 <https://github.com/ros-controls/ros2_control/issues/1031>) (#1042 <https://github.com/ros-controls/ros2_control/issues/1042>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 16:00:00 -0000

ros-humble-ros2controlcli (2.25.3-1bookworm) bookworm; urgency=high
